variables:
  namespace: "snail"

include:
  - project: 'bismarck-shared/ci-cd/standard-ci'
    ref: kustomize
    file: '1-base-ci-template.yml'
  - project: 'bismarck-shared/ci-cd/standard-ci'
    ref: kustomize
    file: '2-docker-ci-template.yml'
  - project: 'bismarck-shared/ci-cd/standard-ci'
    ref: kustomize
    file: '3-deploy-test-ci-template.yml'
  - project: 'bismarck-shared/ci-cd/standard-ci'
    ref: kustomize
    file: '4-start-workflow-template.yml'
  - project: 'bismarck-shared/ci-cd/standard-ci'
    ref: kustomize
    file: '5-deploy-staging-ci-template.yml'
  - project: 'bismarck-shared/ci-cd/standard-ci'
    ref: kustomize
    file: '6-canary-ci-template.yml'
  - project: 'bismarck-shared/ci-cd/standard-ci'
    ref: kustomize
    file: '7-rollout-prod-ci-template.yml'
  - project: 'bismarck-shared/ci-cd/standard-ci'
    ref: kustomize
    file: '8-rollback-prod-ci-template.yml'

### build source_code
  # - project: 'bismarck-shared/ci-cd/standard-ci'
  #   ref: master
  #   file: 'ex.build-sourcode/build-node-ci-template.yml'


build:
  tags:
    - docker-itsd
  stage: build
  image: node:10-alpine
  artifacts:
    paths:
      - node_modules
    expire_in: 1 hours
  script: 
    - npm install --production

# test:
#   tags:
#     - docker-itsd
#   stage: test
#   cache:
#     key: ${CI_COMMIT_REF_SLUG}-TEST
#     untracked: true
#     policy: pull-push
#   image: node:10
#   # services:
#   # - spectolabs/hoverfly:latest
#   # - redis:alpine
#   script: 
#     - npm install
#     - export JAVA_HOME=$(pwd)/node_modules/node-jre/jre/jre1.8.0_131
#     # - node hoverfly/init-mock.js
#     # - export https_proxy=http://spectolabs-hoverfly:8500/
#     # - export http_proxy=http://spectolabs-hoverfly:8500/
#     - npm test
#     - npm run sonar
